--- old/usr/src/man/man1/passwd.1	Mon Jun 22 09:35:36 2015
+++ new/usr/src/man/man1/passwd.1	Mon Jun 22 09:35:36 2015
@@ -1,10 +1,11 @@
 '\" te
 .\" Copyright 1989 AT&T
 .\" Copyright (c) 2009, Sun Microsystems, Inc. All Rights Reserved.
+.\" Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License"). You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE. If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH PASSWD 1 "May 31, 2013"
+.TH PASSWD 1 "Jun 18, 2015"
 .SH NAME
 passwd \- change login password and password attributes
 .SH SYNOPSIS
@@ -80,8 +81,12 @@
      [\fB-x\fR \fImax\fR] [\fB-D\fR \fIdomainname\fR] \fIname\fR
 .fi
 
+.LP
+.nf
+\fBpasswd\fR \fB-S\fR [\fIname\fR]
+.fi
+
 .SH DESCRIPTION
-.sp
 .LP
 The \fBpasswd\fR command changes the password or lists password attributes
 associated with the user's login \fIname\fR. Additionally, privileged users can
@@ -367,7 +372,6 @@
 .RE
 
 .SS "Security"
-.sp
 .LP
 \fBpasswd\fR uses \fBpam\fR(3PAM) for password change. It calls PAM with a
 service name \fBpasswd\fR and uses service module type \fBauth\fR for
@@ -379,7 +383,6 @@
 \fBcron\fR(1M)). The \fB-N\fR option can be used to disallow password based
 login, while continuing to allow delayed execution.
 .SH OPTIONS
-.sp
 .LP
 The following options are supported:
 .sp
@@ -519,7 +522,6 @@
 .RE
 
 .SS "Privileged User Options"
-.sp
 .LP
 Only a privileged user can use the following options:
 .sp
@@ -612,8 +614,16 @@
 turned off immediately if \fImax\fR is set to \fB\(mi1\fR\&.
 .RE
 
-.SH OPERANDS
 .sp
+.ne 2
+.na
+\fB\fB-S\fR\fR
+.ad
+.RS 11n
+Read the password from standard input (pipe).
+.RE
+
+.SH OPERANDS
 .LP
 The following operand is supported:
 .sp
@@ -626,7 +636,6 @@
 .RE
 
 .SH ENVIRONMENT VARIABLES
-.sp
 .LP
 If any of the \fBLC_*\fR variables, that is, \fBLC_CTYPE\fR, \fBLC_MESSAGES\fR,
 \fBLC_TIME\fR, \fBLC_COLLATE\fR, \fBLC_NUMERIC\fR, and \fBLC_MONETARY\fR (see
@@ -664,7 +673,6 @@
 .RE
 
 .SH EXIT STATUS
-.sp
 .LP
 The \fBpasswd\fR command exits with one of the following values:
 .sp
@@ -767,7 +775,6 @@
 .RE
 
 .SH FILES
-.sp
 .ne 2
 .na
 \fB\fB/etc/default/passwd\fR\fR
@@ -1002,7 +1009,6 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -1023,7 +1029,6 @@
 .LP
 The human readable output is Uncommitted. The options are Committed.
 .SH SEE ALSO
-.sp
 .LP
 \fBat\fR(1), \fBbatch\fR(1), \fBfinger\fR(1), \fBkpasswd\fR(1), \fBlogin\fR(1),
 \fBnistbladm\fR(1), \fBcron\fR(1M), \fBdomainname\fR(1M), \fBeeprom\fR(1M),
@@ -1037,7 +1042,6 @@
 \fBpam_authtok_store\fR(5), \fBpam_dhkeys\fR(5), \fBpam_ldap\fR(5),
 \fBpam_unix_account\fR(5), \fBpam_unix_auth\fR(5), \fBpam_unix_session\fR(5)
 .SH NOTES
-.sp
 .LP
 The \fBpam_unix\fR(5) module is no longer supported. Similar functionality is
 provided by \fBpam_unix_account\fR(5), \fBpam_unix_auth\fR(5),
@@ -1044,7 +1048,6 @@
 \fBpam_unix_session\fR(5), \fBpam_authtok_check\fR(5),
 \fBpam_authtok_get\fR(5), \fBpam_authtok_store\fR(5), \fBpam_dhkeys\fR(5), and
 \fBpam_passwd_auth\fR(5).
-.sp
 .LP
 The \fBnispasswd\fR and \fBypasswd\fR commands are wrappers around
 \fBpasswd\fR. Use of \fBnispasswd\fR and \fBypasswd\fR is discouraged. Use
